Work in progress. Some documented features are not live yet.

Set billing period

PATCH
/v1/wallets/{identity}/billing-period

Sets the wallet's billing period before its first charge.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

identity*string
Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/wallets/string/billing-period" \  -H "Content-Type: application/json" \  -d '{    "billingPeriod": {      "interval": "day",      "anchor": 0    }  }'
{  "id": "string",  "identity": "string",  "billingPeriod": {    "interval": "day",    "anchor": 0  },  "billingPeriodLocked": true,  "createdAt": 0,  "balances": [    {      "creditKey": "string",      "amountNanocredits": "string",      "debtNanocredits": "string"    }  ]}